## org.apache.lucene.demo.html
Class HTMLParserTokenManager

    java.lang.Object
      org.apache.lucene.demo.html.HTMLParserTokenManager

All Implemented Interfaces:
  HTMLParserConstants

    public class HTMLParserTokenManager

extends java.lang.Object
implements HTMLParserConstants

Token Manager.

Field Summary
`protected char` `curChar`
`java.io.PrintStream` `debugStream` Debug output.
`protected SimpleCharStream` `input_stream`
`static int[]` `jjnewLexState` Lex State array.
`static java.lang.String[]` `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` `lexStateNames` Lexer state names.

Fields inherited from interface org.apache.lucene.demo.html.HTMLParserConstants

`AfterEquals, ArgEquals, ArgName, ArgQuote1, ArgQuote2, ArgValue, CloseQuote1, CloseQuote2, Comment1, Comment2, CommentEnd1, CommentEnd2, CommentText1, CommentText2, DeclName, DEFAULT, Entity, EOF, HEX, LET, NUM, Punct, Quote1Text, Quote2Text, ScriptEnd, ScriptStart, ScriptText, SP, Space, TagEnd, TagName, tokenImage, WithinComment1, WithinComment2, WithinQuote1, WithinQuote2, WithinScript, WithinTag, Word`

Constructor Summary
`HTMLParserTokenManager(SimpleCharStream stream)` Constructor.
`HTMLParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(java.io.PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final java.lang.String[] lexStateNames

  Lexer state names.

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### HTMLParserTokenManager

    public HTMLParserTokenManager(SimpleCharStream stream)

  Constructor.

### HTMLParserTokenManager

    public HTMLParserTokenManager(SimpleCharStream stream,
                                  int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

  Get the next Token.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.